Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQPreparedExpression

All Superinterfaces:
  XQDynamicContext

All Known Implementing Classes:
  SaxonXQPreparedExpression

    public interface XQPreparedExpression

extends XQDynamicContext

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`void` | `cancel()`
`void` | `clearWarnings()`
`void` | `close()`
`XQResultSequence` | `executeQuery()`
`QName[]` | `getAllExternalVariables()`
`int` | `getQueryTimeout()`
`XQSequenceType` | `getStaticResultType()`
`XQSequenceType` | `getStaticVariableType(QName name)`
`QName[]` | `getUnboundExternalVariables()`
`XQWarning` | `getWarnings()`
`boolean` | `isClosed()`
`void` | `setQueryTimeout(int seconds)`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQDynamicContext
`bindAtomicValue, bindBoolean, bindByte, bindContextItem, bindDocument, bindDouble, bindFloat, bindInt, bindItem, bindLong, bindNode, bindObject, bindSequence, bindShort, getImplicitTimeZone, setImplicitTimeZone`

Method Detail

### cancel

    void cancel()
                throws XQException

  Throws:
    `XQException`

### clearWarnings

    void clearWarnings()
                       throws XQException

  Throws:
    `XQException`

### close

    void close()
               throws XQException

  Throws:
    `XQException`

### executeQuery

    XQResultSequence executeQuery()
                                  throws XQException

  Throws:
    `XQException`

### getAllExternalVariables

    QName[] getAllExternalVariables()
                                    throws XQException

  Throws:
    `XQException`

### getUnboundExternalVariables

    QName[] getUnboundExternalVariables()
                                        throws XQException

  Throws:
    `XQException`

### getQueryTimeout

    int getQueryTimeout()
                        throws XQException

  Throws:
    `XQException`

### getStaticResultType

    XQSequenceType getStaticResultType()
                                       throws XQException

  Throws:
    `XQException`

### getStaticVariableType

    XQSequenceType getStaticVariableType(QName name)
                                         throws XQException

  Throws:
    `XQException`

### getWarnings

    XQWarning getWarnings()
                          throws XQException

  Throws:
    `XQException`

### isClosed

    boolean isClosed()

### setQueryTimeout

    void setQueryTimeout(int seconds)
                         throws XQException

  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.